# TMI_js

Heyo / TMI_js is a `Hello World Chatbot`

## Why?
A starting point for all the default hello world stuff. TMI_js Chatbot is built in Node.js using Twitch's Official TMI.js API!

## What?
* dot ENV to keep API Keys out of code ever uploaded/downloaded.
* TMI.js obv connects
* Mod & Broadcaster Role Init
* !COMMAND => command parse
* Hello World Commands for Mods & Everyone

## TODO
* Add Subs-Only Commands
* MySQL Branch | Logs & Input

## How to install
### Git
Basic
```bash
sudo git clone git@git.sarimoko.com:Heyo/TMI_js.git --stable
```
With MySQL
```bash
sudo git clone git@git.sarimoko.com:Heyo/TMI_js.git --mysql
```

### Initialize/Prerequisites TMI_js
```bash
sudo npm install tmi.js@1.5.0
sudo npm install dotenv
sudo node TMI_js.js
```
### Auto-Start on Boot
```bash
# Installing pm2    
npm install -g pm2 # may require sudo

# Starting the app
pm2 start ~/Projects/red.js
pm2 save    # saves the running processes
            # if not saved, pm2 will forget
            # the running apps on next boot


# check status 
pm2 list

# IMPORTANT: If you want pm2 to start on system boot
pm2 startup 
# starts pm2 on computer boot
```